<?php
// this file contains a test code of myeducationpath.com issuer API
// Details: http://myeducationpath.com
// Email: info@myeducationpath.com


include('myeducationpath.php');

$myapikey='';  //enter your API key

$testemail='test@email.com';	//this must be corrrect email 
$teststudentname='Student name';//replace witho your values
$testcertificateid='987654321';
$courseid='id1';
$coursetype='remote';// remote or local . remote means course ID is id in your internal system

$mep=new MyEducationPath($myapikey);

if(!$mep->checkAPIKey()){
	echo 'This is not correct API key. Go to <a href="http://myeducationpath.com">http://myeducationpath.com</a> to get your key';
	exit;
}

//get all certificates
echo '<br><br>';
echo '<b>All certificates</b>:<br>';
$certificates=$mep->getCertificates();
foreach($certificates as $c){
	echo $c->coursename.'<br>';
	echo $c->name.' ('.$c->email.')'.'<br>';
	echo '<a href="'.$c->certificatelink.'" target="_blank"><img src="'.$c->thumb200link.'"></a><br>'."\n";
}


//put certificate on the wall of the user
echo '<b>Create new certificate</b>:<br>';

$mep->setEmailUser(false);//if true then a user will get email with a link to see a certificate
$mep->setCourseType($coursetype);
$cert=$mep->addCertificate($courseid,$testemail,$teststudentname,date('g'),$testcertificateid,'Short course name');
if($cert){
	echo 'Created<br><br>';
	$newcertid=$cert->id;
	//load information about this certificate
	$newcert=$mep->getCertificate($newcertid);
	
	echo '<h1>New certificate</h1>'."\n\n";
	echo 'Certificate page link. This is posted to a student '.$newcert->certificatelink.'<br>';
	echo 'Certificate image link to display for a student '.$newcert->thumb600link.'<br>';
	echo 'Certificate PDF download link to print certificate '.$newcert->printlink.'<br>';
	
	//uncomment next line if deleting si disabled.
	//echo '<a href="'.$newcert->certificatelink.'" target="_blank"><img src="'.$newcert->thumb200link.'"></a><br>';
	
	//delete this certificate
	$mep->removeCertificate($newcertid);
}


//load list of templates to choose what template to use as default
$templates=$mep->getTemplates();
$templateid='1';//this is ID of template to generate certificates from. Set to 0 to use your default template
$mep->setTemplateID($templateid);


?>